# Uses of Enum Class
org.bukkit.enchantments.EnchantmentTarget

Packages that use EnchantmentTarget
Package
Description
org.bukkit.enchantments
Classes relating to the specialized enhancements to `item stacks`, as part of the `meta data`.

## Uses of EnchantmentTarget in org.bukkit.enchantments

Methods in org.bukkit.enchantments that return EnchantmentTarget
Modifier and Type
Method
Description
`abstract @NotNull EnchantmentTarget`
Enchantment.`getItemTarget()`
Gets the type of `ItemStack` that may fit this Enchantment.
`@NotNull EnchantmentTarget`
EnchantmentWrapper.`getItemTarget()`
`static EnchantmentTarget`
EnchantmentTarget.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EnchantmentTarget[]`
EnchantmentTarget.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.